## linux-UFRII-drv-v580-m17n-08.tar.gz

=== Makefile ===
#################################################
# LIPS IV Driver for PDAPI               #
#   Integrated Makefile                  #
#################################################

### Macros ###
#DRIVERDIR = driver
FILTERDIR  = pstoufr2cpca
CPCADIR    = cpca
CNGPLPDIR  = cngplp
PDFTOCPCADIR  = pdftocpca

SRCDIRS =\
	$(DRIVERDIR)\
	$(CPCADIR) \
	$(CNGPLPDIR) \
	$(PDFTOCPCADIR)

### Make modules ###
all:
	for dir in $(SRCDIRS); do\
		echo Making modules $$dir ...;\
		(cd $$dir; make) || exit 1;\
	done
	echo Make completed.

### Install modules ###
install:
	for dir in $(SRCDIRS); do\
		echo Installing modules $$dir ...;\
		(cd $$dir; make install) || exit 1;\
	done

### Uninstall modules ###
uninstall:
	for dir in $(SRCDIRS); do\
		echo Uninstalling modules $$dir ...;\
		(cd $$dir; make uninstall) || exit 1;\
	done

### Clean-up objects files ###
clean:
	for dir in $(SRCDIRS); do\
		echo Cleaning $$dir ...;\
		(cd $$dir; make clean) || exit 1;\
	done

### Clean-up objects and configure files ###
distclean:
	for dir in $(SRCDIRS); do\
		echo distclean $$dir ...;\
		(cd $$dir; make distclean) || exit 1;\
	done

=== changelog ===
cnrdrvcups-lb (5.80-1.05) stable; urgency=low

  * Initial Release.

 -- Canon Inc. <sup-debian@mail.canon>  Fri, 19 May 2023 00:00:00 +0900

=== control ===
Source: cnrdrvcups-lb
Section: net
Priority: optional
Maintainer: CANON INC. <sup-debian@mail.canon>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.6.1

Package: cnrdrvcups-ufr2-uk
Architecture: i386 amd64 arm64 mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}, cups | cupsys, libcups2 | libcupsys2 (>= 1.2.7), libcupsimage2, cups-bsd, libgtk-3-0, libjpeg62, libjbig0, libgcrypt20 | libbeecrypt7, lsb-release
Provides: cnrcupsiradv715zk, cnrcupsiradv615zk, cnrcupsiradv525zk, cnrcupsiradv7153zk, cnrcupsiradv6153zk, cnrcupsiradv5253zk, cnrcupsiradv85053zk, cnrcupsiradv85853zk,
 cnrcupsiradv65753zk, cnrcupsiradv65553zk, cnrcupsiradvc35203zk, cnrcupsiradvc35253zk, cnrcupsiradvc75803zk,cnrcupsiradvc75653zk, cnrcupsiradvc2563zk, cnrcupsiradvc55353zk,
 cnrcupsiradvc55503zk, cnrcupsiradv45453zk, cnrcupsiradv45253zk, cnrcupsiradvc4753zk, cnrcupswg7000zk, cnrcupswg7000zzk, cnrcupslbp853czk, cnrcupslbp852czk, cnrcupsd1600zk,
 cnrcupsiprc165zk, cnrcupsir1643izk, cnrcupsir1643pzk, cnrcupslbp323zk, cnrcupslbp621czk, cnrcupslbp622czk, cnrcupslbp663czk, cnrcupslbp664czk, cnrcupsmf440zk, cnrcupsmf540zk,
 cnrcupsmf641czk, cnrcupsmf642czk, cnrcupsmf645czk, cnrcupsmf741czk, cnrcupsmf742czk, cnrcupsmf745czk, cnrcupsiprc710zk, cnrcupsir2625zk, cnrcupsir2635zk, cnrcupsiradv4725zk,
 cnrcupsiradv4745zk, cnrcupsiradv6000zk, cnrcupsiradv6755zk, cnrcupsiradv6780zk, cnrcupsiradv8705zk, cnrcupsiradv8786zk, cnrcupsiradvc3720zk, cnrcupsiradvc3725zk, cnrcupsiradvc5735zk,
 cnrcupsiradvc5750zk, cnrcupsiradvc7765zk, cnrcupsiradvc7780zk, cnrcupsirc3120lzk, cnrcupsirc3120zk, cnrcupsirc3125zk, cnrcupslbp222zk, cnrcupslbp223zk, cnrcupslbp225zk,
 cnrcupslbp226zk, cnrcupslbp227zk, cnrcupslbp228zk, cnrcupsx1643pzk, cnrcupsiprc170zk, cnrcupsir2425zk, cnrcupsiradv527zk, cnrcupsiradv617zk, cnrcupsiradv717zk, cnrcupsiradvc257zk,
 cnrcupsiradvc477zk, cnrcupslbp1127czk, cnrcupslbp1238zk, cnrcupsmf1127czk, cnrcupsmf1238zk, cnrcupsir1643i2zk, cnrcupsiradv6860zk, cnrcupsiradvc3822zk, cnrcupsiradvc3826zk,
 cnrcupsiradvc3830zk, cnrcupsiradvc3835zk, cnrcupsiradvc568zk, cnrcupsiradvc5840zk, cnrcupsiradvc5860zk, cnrcupsirc1533izk, cnrcupsirc1538izk, cnrcupsirc3130lzk, cnrcupsirc3222lzk,
 cnrcupsirc3222zk, cnrcupsirc3226zk, cnrcupslbp12382zk, cnrcupslbp1533czk, cnrcupslbp1538czk, cnrcupslbp233zk, cnrcupslbp236zk, cnrcupslbp237zk, cnrcupslbp631czk, cnrcupslbp632czk,
 cnrcupslbp633czk, cnrcupslbp720czk, cnrcupslbp722czk, cnrcupsmf12382zk, cnrcupsmf1538czk, cnrcupsmf1643izk, cnrcupsmf450zk, cnrcupsmf550zk, cnrcupsmf650czk, cnrcupsmf830czk,
 cnrcupsmf832czk
Conflicts: cnrcupsiradv715zk, cnrcupsiradv615zk, cnrcupsiradv525zk, cnrcupsiradv7153zk, cnrcupsiradv6153zk, cnrcupsiradv5253zk, cnrcupsiradv85053zk, cnrcupsiradv85853zk,
 cnrcupsiradv65753zk, cnrcupsiradv65553zk, cnrcupsiradvc35203zk, cnrcupsiradvc35253zk, cnrcupsiradvc75803zk,cnrcupsiradvc75653zk, cnrcupsiradvc2563zk, cnrcupsiradvc55353zk,
 cnrcupsiradvc55503zk, cnrcupsiradv45453zk, cnrcupsiradv45253zk, cnrcupsiradvc4753zk, cnrcupswg7000zk, cnrcupswg7000zzk, cnrcupslbp853czk, cnrcupslbp852czk, cnrcupsd1600zk,
 cnrcupsiprc165zk, cnrcupsir1643izk, cnrcupsir1643pzk, cnrcupslbp323zk, cnrcupslbp621czk, cnrcupslbp622czk, cnrcupslbp663czk, cnrcupslbp664czk, cnrcupsmf440zk, cnrcupsmf540zk,
 cnrcupsmf641czk, cnrcupsmf642czk, cnrcupsmf645czk, cnrcupsmf741czk, cnrcupsmf742czk, cnrcupsmf745czk, cnrcupsiprc710zk, cnrcupsir2625zk, cnrcupsir2635zk, cnrcupsiradv4725zk,
 cnrcupsiradv4745zk, cnrcupsiradv6000zk, cnrcupsiradv6755zk, cnrcupsiradv6780zk, cnrcupsiradv8705zk, cnrcupsiradv8786zk, cnrcupsiradvc3720zk, cnrcupsiradvc3725zk, cnrcupsiradvc5735zk,
 cnrcupsiradvc5750zk, cnrcupsiradvc7765zk, cnrcupsiradvc7780zk, cnrcupsirc3120lzk, cnrcupsirc3120zk, cnrcupsirc3125zk, cnrcupslbp222zk, cnrcupslbp223zk, cnrcupslbp225zk,
 cnrcupslbp226zk, cnrcupslbp227zk, cnrcupslbp228zk, cnrcupsx1643pzk, cnrcupsiprc170zk, cnrcupsir2425zk, cnrcupsiradv527zk, cnrcupsiradv617zk, cnrcupsiradv717zk, cnrcupsiradvc257zk,
 cnrcupsiradvc477zk, cnrcupslbp1127czk, cnrcupslbp1238zk, cnrcupsmf1127czk, cnrcupsmf1238zk, cnrcupsir1643i2zk, cnrcupsiradv6860zk, cnrcupsiradvc3822zk, cnrcupsiradvc3826zk,
 cnrcupsiradvc3830zk, cnrcupsiradvc3835zk, cnrcupsiradvc568zk, cnrcupsiradvc5840zk, cnrcupsiradvc5860zk, cnrcupsirc1533izk, cnrcupsirc1538izk, cnrcupsirc3130lzk, cnrcupsirc3222lzk,
 cnrcupsirc3222zk, cnrcupsirc3226zk, cnrcupslbp12382zk, cnrcupslbp1533czk, cnrcupslbp1538czk, cnrcupslbp233zk, cnrcupslbp236zk, cnrcupslbp237zk, cnrcupslbp631czk, cnrcupslbp632czk,
 cnrcupslbp633czk, cnrcupslbp720czk, cnrcupslbp722czk, cnrcupsmf12382zk, cnrcupsmf1538czk, cnrcupsmf1643izk, cnrcupsmf450zk, cnrcupsmf550zk, cnrcupsmf650czk, cnrcupsmf830czk,
 cnrcupsmf832czk
Replaces: cnrdrvcups-ufr2-us, cnrdrvcups-lipslx,
 cnrcupsiradv715zk, cnrcupsiradv615zk, cnrcupsiradv525zk, cnrcupsiradv7153zk, cnrcupsiradv6153zk, cnrcupsiradv5253zk, cnrcupsiradv85053zk, cnrcupsiradv85853zk,
 cnrcupsiradv65753zk, cnrcupsiradv65553zk, cnrcupsiradvc35203zk, cnrcupsiradvc35253zk, cnrcupsiradvc75803zk,cnrcupsiradvc75653zk, cnrcupsiradvc2563zk, cnrcupsiradvc55353zk,
 cnrcupsiradvc55503zk, cnrcupsiradv45453zk, cnrcupsiradv45253zk, cnrcupsiradvc4753zk, cnrcupswg7000zk, cnrcupswg7000zzk, cnrcupslbp853czk, cnrcupslbp852czk, cnrcupsd1600zk,
 cnrcupsiprc165zk, cnrcupsir1643izk, cnrcupsir1643pzk, cnrcupslbp323zk, cnrcupslbp621czk, cnrcupslbp622czk, cnrcupslbp663czk, cnrcupslbp664czk, cnrcupsmf440zk, cnrcupsmf540zk,
 cnrcupsmf641czk, cnrcupsmf642czk, cnrcupsmf645czk, cnrcupsmf741czk, cnrcupsmf742czk, cnrcupsmf745czk, cnrcupsiprc710zk, cnrcupsir2625zk, cnrcupsir2635zk, cnrcupsiradv4725zk,
 cnrcupsiradv4745zk, cnrcupsiradv6000zk, cnrcupsiradv6755zk, cnrcupsiradv6780zk, cnrcupsiradv8705zk, cnrcupsiradv8786zk, cnrcupsiradvc3720zk, cnrcupsiradvc3725zk, cnrcupsiradvc5735zk,
 cnrcupsiradvc5750zk, cnrcupsiradvc7765zk, cnrcupsiradvc7780zk, cnrcupsirc3120lzk, cnrcupsirc3120zk, cnrcupsirc3125zk, cnrcupslbp222zk, cnrcupslbp223zk, cnrcupslbp225zk,
 cnrcupslbp226zk, cnrcupslbp227zk, cnrcupslbp228zk, cnrcupsx1643pzk, cnrcupsiprc170zk, cnrcupsir2425zk, cnrcupsiradv527zk, cnrcupsiradv617zk, cnrcupsiradv717zk, cnrcupsiradvc257zk,
 cnrcupsiradvc477zk, cnrcupslbp1127czk, cnrcupslbp1238zk, cnrcupsmf1127czk, cnrcupsmf1238zk, cnrcupsir1643i2zk, cnrcupsiradv6860zk, cnrcupsiradvc3822zk, cnrcupsiradvc3826zk,
 cnrcupsiradvc3830zk, cnrcupsiradvc3835zk, cnrcupsiradvc568zk, cnrcupsiradvc5840zk, cnrcupsiradvc5860zk, cnrcupsirc1533izk, cnrcupsirc1538izk, cnrcupsirc3130lzk, cnrcupsirc3222lzk,
 cnrcupsirc3222zk, cnrcupsirc3226zk, cnrcupslbp12382zk, cnrcupslbp1533czk, cnrcupslbp1538czk, cnrcupslbp233zk, cnrcupslbp236zk, cnrcupslbp237zk, cnrcupslbp631czk, cnrcupslbp632czk,
 cnrcupslbp633czk, cnrcupslbp720czk, cnrcupslbp722czk, cnrcupsmf12382zk, cnrcupsmf1538czk, cnrcupsmf1643izk, cnrcupsmf450zk, cnrcupsmf550zk, cnrcupsmf650czk, cnrcupsmf830czk,
 cnrcupsmf832czk
Description: Canon UFR2 Printer Driver for Linux
 Canon UFR2 Printer Driver for Linux.
 This UFR2 printer driver provides printing functions for Canon LBP/iR
 printers operating under the CUPS (Common UNIX Printing System) environment.

Package: cnrdrvcups-ufr2-us
Architecture: i386 amd64 arm64 mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}, cups | cupsys, libcups2 | libcupsys2 (>= 1.2.7), libcupsimage2, cups-bsd, libgtk-3-0, libjpeg62, libjbig0, libgcrypt20 | libbeecrypt7, zlib1g, lsb-release
Provides: cnrcupsiradv715zs, cnrcupsiradv615zs, cnrcupsiradv525zs, cnrcupsiradv7153zs, cnrcupsiradv6153zs, cnrcupsiradv5253zs, cnrcupsiradv85053zs, cnrcupsiradv85853zs,
 cnrcupsiradv65753zs, cnrcupsiradv65553zs, cnrcupsiradvc35253zs, cnrcupsiradvc75803zs, cnrcupsiradvc75653zs, cnrcupsiradvc2563zs, cnrcupsiradvc55353zs, cnrcupsiradvc55503zs,
 cnrcupsiradv45453zs, cnrcupsiradv45253zs, cnrcupsiradvc4753zs, cnrcupswg7000zs, cnrcupswg7000zzs, cnrcupsd1600zs, cnrcupsiprc165zs, cnrcupsir1643izs, cnrcupsir1643pzs,
 cnrcupslbp323zs, cnrcupslbp622czs, cnrcupslbp664czs, cnrcupsmf440zs, cnrcupsmf540zs, cnrcupsmf641czs, cnrcupsmf642czs, cnrcupsmf741czs, cnrcupsmf745czs, cnrcupsiprc710zs,
 cnrcupsiradv4725zs, cnrcupsiradv4745zs, cnrcupsiradv6000zs, cnrcupsiradv6755zs, cnrcupsiradv6780zs, cnrcupsiradv8705zs, cnrcupsiradv8786zs, cnrcupsiradvc3725zs, cnrcupsiradvc5735zs,
 cnrcupsiradvc5750zs, cnrcupsiradvc7765zs, cnrcupsiradvc7780zs, cnrcupslbp223zs, cnrcupslbp226zs, cnrcupslbp227zs, cnrcupslbp228zs, cnrcupsiprc170zs, cnrcupsiradv527zs,
 cnrcupsiradv617zs, cnrcupsiradv717zs, cnrcupsiradvc257zs, cnrcupsiradvc477zs, cnrcupslbp1127czs, cnrcupslbp1238zs, cnrcupsmf1127czs, cnrcupsmf1238zs, cnrcupsir1643i2zs,
 cnrcupsiradv6860zs, cnrcupsiradvc3826zs, cnrcupsiradvc3830zs, cnrcupsiradvc3835zs, cnrcupsiradvc568zs, cnrcupsiradvc5840zs, cnrcupsiradvc5860zs, cnrcupsirc3226zs, cnrcupslbp12382zs,
 cnrcupslbp1538czs, cnrcupslbp236zs, cnrcupslbp237zs, cnrcupslbp632czs, cnrcupslbp633czs, cnrcupsmf12382zs, cnrcupsmf1538czs, cnrcupsmf1643izs, cnrcupsmf450zs, cnrcupsmf650czs
Conflicts: cnrcupsiradv715zs, cnrcupsiradv615zs, cnrcupsiradv525zs, cnrcupsiradv7153zs, cnrcupsiradv6153zs, cnrcupsiradv5253zs, cnrcupsiradv85053zs, cnrcupsiradv85853zs,
 cnrcupsiradv65753zs, cnrcupsiradv65553zs, cnrcupsiradvc35253zs, cnrcupsiradvc75803zs, cnrcupsiradvc75653zs, cnrcupsiradvc2563zs, cnrcupsiradvc55353zs, cnrcupsiradvc55503zs,
 cnrcupsiradv45453zs, cnrcupsiradv45253zs, cnrcupsiradvc4753zs, cnrcupswg7000zs, cnrcupswg7000zzs, cnrcupsd1600zs, cnrcupsiprc165zs, cnrcupsir1643izs, cnrcupsir1643pzs,
 cnrcupslbp323zs, cnrcupslbp622czs, cnrcupslbp664czs, cnrcupsmf440zs, cnrcupsmf540zs, cnrcupsmf641czs, cnrcupsmf642czs, cnrcupsmf741czs, cnrcupsmf745czs, cnrcupsiprc710zs,
 cnrcupsiradv4725zs, cnrcupsiradv4745zs, cnrcupsiradv6000zs, cnrcupsiradv6755zs, cnrcupsiradv6780zs, cnrcupsiradv8705zs, cnrcupsiradv8786zs, cnrcupsiradvc3725zs, cnrcupsiradvc5735zs,
 cnrcupsiradvc5750zs, cnrcupsiradvc7765zs, cnrcupsiradvc7780zs, cnrcupslbp223zs, cnrcupslbp226zs, cnrcupslbp227zs, cnrcupslbp228zs, cnrcupsiprc170zs, cnrcupsiradv527zs,
 cnrcupsiradv617zs, cnrcupsiradv717zs, cnrcupsiradvc257zs, cnrcupsiradvc477zs, cnrcupslbp1127czs, cnrcupslbp1238zs, cnrcupsmf1127czs, cnrcupsmf1238zs, cnrcupsir1643i2zs,
 cnrcupsiradv6860zs, cnrcupsiradvc3826zs, cnrcupsiradvc3830zs, cnrcupsiradvc3835zs, cnrcupsiradvc568zs, cnrcupsiradvc5840zs, cnrcupsiradvc5860zs, cnrcupsirc3226zs, cnrcupslbp12382zs,
 cnrcupslbp1538czs, cnrcupslbp236zs, cnrcupslbp237zs, cnrcupslbp632czs, cnrcupslbp633czs, cnrcupsmf12382zs, cnrcupsmf1538czs, cnrcupsmf1643izs, cnrcupsmf450zs, cnrcupsmf650czs
Replaces: cnrdrvcups-ufr2-uk, cnrdrvcups-lipslx,
 cnrcupsiradv715zs, cnrcupsiradv615zs, cnrcupsiradv525zs, cnrcupsiradv7153zs, cnrcupsiradv6153zs, cnrcupsiradv5253zs, cnrcupsiradv85053zs, cnrcupsiradv85853zs,
 cnrcupsiradv65753zs, cnrcupsiradv65553zs, cnrcupsiradvc35253zs, cnrcupsiradvc75803zs, cnrcupsiradvc75653zs, cnrcupsiradvc2563zs, cnrcupsiradvc55353zs, cnrcupsiradvc55503zs,
 cnrcupsiradv45453zs, cnrcupsiradv45253zs, cnrcupsiradvc4753zs, cnrcupswg7000zs, cnrcupswg7000zzs, cnrcupsd1600zs, cnrcupsiprc165zs, cnrcupsir1643izs, cnrcupsir1643pzs,
 cnrcupslbp323zs, cnrcupslbp622czs, cnrcupslbp664czs, cnrcupsmf440zs, cnrcupsmf540zs, cnrcupsmf641czs, cnrcupsmf642czs, cnrcupsmf741czs, cnrcupsmf745czs, cnrcupsiprc710zs,
 cnrcupsiradv4725zs, cnrcupsiradv4745zs, cnrcupsiradv6000zs, cnrcupsiradv6755zs, cnrcupsiradv6780zs, cnrcupsiradv8705zs, cnrcupsiradv8786zs, cnrcupsiradvc3725zs, cnrcupsiradvc5735zs,
 cnrcupsiradvc5750zs, cnrcupsiradvc7765zs, cnrcupsiradvc7780zs, cnrcupslbp223zs, cnrcupslbp226zs, cnrcupslbp227zs, cnrcupslbp228zs, cnrcupsiprc170zs, cnrcupsiradv527zs,
 cnrcupsiradv617zs, cnrcupsiradv717zs, cnrcupsiradvc257zs, cnrcupsiradvc477zs, cnrcupslbp1127czs, cnrcupslbp1238zs, cnrcupsmf1127czs, cnrcupsmf1238zs, cnrcupsir1643i2zs,
 cnrcupsiradv6860zs, cnrcupsiradvc3826zs, cnrcupsiradvc3830zs, cnrcupsiradvc3835zs, cnrcupsiradvc568zs, cnrcupsiradvc5840zs, cnrcupsiradvc5860zs, cnrcupsirc3226zs, cnrcupslbp12382zs,

=== rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



ifeq ($(DEB_HOST_ARCH), amd64)
  _machine_type = "MACHINETYPE=x86_64"
  _cflags = "CFLAGS=-m64 -march=x86-64"
  _libsarch = libs64/intel
  b_lib_dir = lib/libs64/intel
else ifeq ($(DEB_HOST_ARCH), i386)
  _machine_type = "MACHINETYPE=i686"
  _cflags = "CFLAGS=-m32 -march=i686"
  _libsarch = libs32/intel
  b_lib_dir = lib/libs32/intel
else ifeq ($(DEB_HOST_ARCH), arm64)
  _cflags = "CFLAGS=-fsigned-char"
  _libsarch = libs64/arm
  b_lib_dir = lib/libs64/arm
  ifneq ($(DEB_HOST_ARCH), $(DEB_BUILD_ARCH))
    conf_option = "--host=aarch64-linux-gnu"
  endif
else ifeq ($(DEB_HOST_ARCH), mips64el)
  _libsarch = libs64/mips
  b_lib_dir = lib/libs64/mips
  ifneq ($(DEB_HOST_ARCH), $(DEB_BUILD_ARCH))
    conf_option = "--host=mips64el-linux-gnuabi64"
  endif
else ifeq ($(DEB_HOST_ARCH), loongarch64)
  _libsarch = libs64/loongarch
  b_lib_dir = lib/libs64/loongarch
  ifneq ($(DEB_HOST_ARCH), $(DEB_BUILD_ARCH))
    conf_option = "--host=loongarch64-linux-gnu"
  endif
endif

common_dir = cnrdrvcups-common-$(VERSION)
driver_dir = cnrdrvcups-lb-$(VERSION)
utility_dir = cnrdrvcups-utility-$(VERSION)
#b_lib_dir = $(_builddir)/lib
b_data_dir = lib/data
b_include_dir = $(_builddir)/include
_prefix = /usr
_libdir = /usr/lib
_bindir = /usr/bin
VERSION = 5.80

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	if [ -z $(nobuild) ] ; then \
		pwd; \
	fi
	
	if [ -z $(nobuild) ] ; then \
		cd $(common_dir); \
		(cd buftool && ./autogen.sh $(_machine_type) $(_cflags) --prefix=$(_prefix) --libdir=$(_libdir) --enable-progpath=$(_bindir) --disable-shared --enable-static $(conf_option)); \
		(cd cngplp && ./autogen.sh  $(_machine_type) $(_cflags) --prefix=$(_prefix) --libdir=$(_libdir) COMMON_SUFFIX=2 $(conf_option)); \
		(cd backend && ./autogen.sh $(_machine_type) $(_cflags) --prefix=$(_prefix) --libdir=$(_libdir) MODULE_SUFFIX=ufr2 $(conf_option)); \
		(cd rasterfilter && ./autogen.sh $(_machine_type) $(_cflags) --prefix=$(_prefix) --libdir=$(_libdir) $(conf_option)); \
		(cd cnjbig && ./autogen.sh $(_machine_type) $(_cflags) --prefix=$(_prefix) $(conf_option)); \
		cd .. ;\
		cd $(driver_dir) ;\
		(cd cpca && ./autogen.sh $(_machine_type) $(_cflags) --prefix=$(_prefix) --libdir=$(_libdir)  --enable-progpath=$(_bindir) $(conf_option)); \
		(cd cngplp && ./autogen.sh $(_machine_type) $(_cflags)  --prefix=$(_prefix) --libdir=$(_libdir) $(conf_option)); \
		(cd cngplp/files && ./autogen.sh $(_machine_type) $(_cflags) $(conf_option)); \
		(cd pdftocpca && ./autogen.sh $(_machine_type) $(_cflags) --libdir=$(_libdir) $(conf_option)); \
		cd .. ;\
	fi
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	if [ -z $(nobuild) ] ; then \
		cd $(common_dir); \
		cd buftool && $(MAKE); \
		cd .. ; \
		cp buftool/libbuftool.a ../$(b_lib_dir)/ ;\
		cp buftool/libbuftool.a ../lib/ ;\
		cp buftool/buftool.h ../$(b_include_dir)/ ;\
		cp buftool/buflist.h ../$(b_include_dir)/ ;\
		for d in cngplp backend rasterfilter cnjbig; do \
			(cd $$d && $(MAKE)); \
		done; \
		cd .. ;\
		cd $(driver_dir) ;\
		$(MAKE) ;\
		cd .. ;\
	fi
	#$(MAKE)
	#docbook-to-man debian/cnrdrvcups-lb.sgml > cnrdrvcups-lb.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	
	#from common
	-for d in buftool cngplp backend rasterfilter cnjbig ; do \
		(cd $(common_dir)/$$d && $(MAKE) distclean); \
	done
		
	# from driver
	-for d in cpca cngplp pdftocpca; do \
		(cd $(driver_dir)/$$d && $(MAKE) distclean); \
	done
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	####### lipslx
	dh_install -s

	#from common
	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin
	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib
	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/backend
	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/filter
	
	if [ -z $(nobuild) ] ; then \
		install -c -m 755 $(common_dir)/rasterfilter/rastertoufr2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/filter/; \
		install -c -m 755 $(driver_dir)/pdftocpca/pdftocpca	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/filter/; \
		install -c -m 755 $(common_dir)/cngplp/cnjatool/cnjatool2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
		install -c -m 755 $(common_dir)/cngplp/src/cngplp2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
		install -c -m 755 $(common_dir)/backend/cnusbufr2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/backend/; \
		install -c  $(driver_dir)/cngplp/.libs/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/; \
		ln -sf /usr/lib/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libuictlufr2r.so.1; \
		ln -sf /usr/lib/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libuictlufr2r.so; \
		install -c $(common_dir)/cnjbig/cnjbigufr2 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
	else \
		install -c -m 755 $(b_lib_dir)/rastertoufr2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/filter/; \
		install -c -m 755 $(b_lib_dir)/pdftocpca	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/filter/; \
		install -c -m 755 $(b_lib_dir)/cnjatool2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
		install -c -m 755 $(b_lib_dir)/cngplp2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
		install -c -m 755 $(b_lib_dir)/cnusbufr2	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/cups/backend/; \
		install -c  $(b_lib_dir)/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/; \
		ln -sf /usr/lib/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libuictlufr2r.so.1; \
		ln -sf /usr/lib/libuictlufr2r.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libuictlufr2r.so; \
		install -c $(b_lib_dir)/cnjbigufr2 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/bin; \
	fi
	
	install -c -m 755 $(b_lib_dir)/libcaiowrapufr2.so.1.0.0 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib
	install -c -m 755 $(b_lib_dir)/libcaepcmufr2.so.1.0 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib

	install -c -m 755 $(b_lib_dir)/libColorGearCufr2.so.2.0.0 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib

	install -c -m 755 $(b_lib_dir)/libcanon_slimufr2.so.1.0.0 $(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib
	
	ln -sf /usr/lib/libcaepcmufr2.so.1.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcaepcmufr2.so.1
	ln -sf /usr/lib/libcaepcmufr2.so.1.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcaepcmufr2.so
	ln -sf /usr/lib/libcaiowrapufr2.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcaiowrapufr2.so.1
	ln -sf /usr/lib/libcaiowrapufr2.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcaiowrapufr2.so
	ln -sf /usr/lib/libcanon_slimufr2.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcanon_slimufr2.so.1
	ln -sf /usr/lib/libcanon_slimufr2.so.1.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libcanon_slimufr2.so

	ln -sf /usr/lib/libColorGearCufr2.so.2.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libColorGearCufr2.so.2
	ln -sf /usr/lib/libColorGearCufr2.so.2.0.0	$(CURDIR)/debian/cnrdrvcups-lipslx/usr/lib/libColorGearCufr2.so
	
	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/share/cups/usb
	install -c -m 644 $(common_dir)/Rule/canon-laser-printer.usb-quirks    $(CURDIR)/debian/cnrdrvcups-lipslx/usr/share/cups/usb/canon-laser-printer_ufr2.usb-quirks

	mkdir -p $(CURDIR)/debian/cnrdrvcups-lipslx/usr/share/caepcm/ufr2/
